varying vec2 tex2_2;
varying vec2 tex2_1;
varying vec2 tex2_0;
varying vec2 tex1_2;
varying vec2 tex1_1;
varying vec2 tex1_0;
varying vec2 tex0_2;
varying vec2 tex0_1;
varying vec2 tex0_0;
varying float alpha;
varying vec3 vNormal;
varying float v;
varying float attPlayer;
uniform float ambientLightEnabled;
uniform sampler2D myTexture2;
uniform sampler2D myTexture1;
uniform sampler2D myTexture0;
void main ()
{
  vec4 rockColor_1;
  vec4 secondColor_2;
  vec4 firstColor_3;
  vec4 light_4;
  vec4 tmpvar_5;
  tmpvar_5 = ((((gl_FrontLightModelProduct.sceneColor * gl_FrontMaterial.ambient) + (gl_LightSource[0].ambient * gl_FrontMaterial.ambient)) * ambientLightEnabled) + ((gl_FrontLightModelProduct.sceneColor * gl_FrontMaterial.ambient) + ((gl_LightSource[1].ambient * gl_FrontMaterial.ambient) * attPlayer)));
  light_4.w = tmpvar_5.w;
  light_4.x = min (1.0, tmpvar_5.x);
  light_4.y = min (1.0, tmpvar_5.y);
  light_4.z = min (1.0, tmpvar_5.z);
  firstColor_3 = texture2D (myTexture0, tex0_0);
  secondColor_2 = texture2D (myTexture1, tex1_0);
  rockColor_1 = texture2D (myTexture2, tex2_0);
  if ((v > 0.0)) {
    firstColor_3 = texture2D (myTexture0, tex0_1);
    secondColor_2 = texture2D (myTexture1, tex1_1);
    rockColor_1 = texture2D (myTexture2, tex2_1);
  };
  if ((v < 0.0)) {
    firstColor_3 = texture2D (myTexture0, tex0_2);
    secondColor_2 = texture2D (myTexture1, tex1_2);
    rockColor_1 = texture2D (myTexture2, tex2_2);
  };
  float t_6;
  t_6 = max (min (((vNormal.y - 0.7) / 0.15), 1.0), 0.0);
  vec4 tmpvar_7;
  tmpvar_7 = mix (rockColor_1, mix (secondColor_2, firstColor_3, alpha), (t_6 * (t_6 * (3.0 - (2.0 * t_6)))));
  gl_FragColor = (tmpvar_7 * light_4);
}

