uniform sampler2D myTexture0;
uniform sampler2D myTexture1;
uniform sampler2D myTexture2;
uniform sampler2D myTexture3;
uniform float time;

varying float t;

void main()
{
	gl_FragColor = texture2D(myTexture0, gl_TexCoord[0].st);
	
	if((t < 2.0 && t >= 1.0) || (t < 6.0 && t >= 5.0))
	{
	   gl_FragColor = texture2D(myTexture1, gl_TexCoord[1].st);
	}
	
	if((t < 3.0 && t >= 2.0) || (t < 5.0 && t >= 4.0))
	{
	   gl_FragColor = texture2D(myTexture2, gl_TexCoord[2].st);
	}

	if(t < 4.0 && t >= 3.0)
	{
	   gl_FragColor = texture2D(myTexture3, gl_TexCoord[3].st);
	}

}
